Uploaded image for project: 'WildFly Core'
  1. WildFly Core
  2. WFCORE-116

Update picketbox to 4.9.0.Beta1, bring pickbox-infinispan under wildfly-core dependency management

    Details

    • Type: Task
    • Status: Resolved (View Workflow)
    • Priority: Major
    • Resolution: Done
    • Affects Version/s: 1.0.0.Alpha8
    • Fix Version/s: 1.0.0.Alpha9
    • Component/s: Security
    • Labels:
      None

      Description

      There was an attempt to upgrade WFLY to Picketbox 4.9.0.Beta1 in order to satisfy the upstream requirement for https://bugzilla.redhat.com/show_bug.cgi?id=1139561, but it didn't really work because only picketbox-infinispan is controlled by the WFLY pom.

      So, this task is to:

      1) Update WFCORE to 4.9.0.Beta1.

      2) Add picketbox-infinispan to WFCORE's pom's dependency-management so the WFLY version stays aligned.

      Separate task is to remove WFLY's management of pickbox-infinispan once a core release with this fix is integrated.

        Gliffy Diagrams

          Attachments

            Issue Links

              Activity

                People

                • Assignee:
                  brian.stansberry Brian Stansberry
                  Reporter:
                  brian.stansberry Brian Stansberry
                • Votes:
                  0 Vote for this issue
                  Watchers:
                  1 Start watching this issue

                  Dates

                  • Created:
                    Updated:
                    Resolved: